Download it now!
Bug 113498 - UI Wayland Calc pulldown font menu highlighted selection is four lines below cursor
Summary: UI Wayland Calc pulldown font menu highlighted selection is four lines below ...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.7.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Wayland
  Show dependency treegraph
 
Reported: 2017-10-28 17:49 UTC by Roger T. Imai
Modified: 2018-05-14 09:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
font_selection_pulldown_menu (111.47 KB, image/png)
2018-04-23 19:03 UTC, Roger T. Imai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roger T. Imai 2017-10-28 17:49:47 UTC
In Calc on Gnome-Wayland session, the highlighted line in the font selection pulldown menu is four lines below the cursor (where expected highlighted line is where the cursor is touching.)
Comment 1 Roger T. Imai 2017-11-10 06:51:59 UTC
Appears to have been FIXED recently, but don't know what components were updated, possibly not even Calc but some other component. THANK YOU!

Current Calc version:
Version: 5.2.7.2
Build ID: 1:5.2.7-1
CPU Threads: 4; OS Version: Linux 4.9; UI Render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 2 Roger T. Imai 2017-12-31 04:05:44 UTC
I prematurely reported this issue fixed. Running on Wayland the Calc font pulldown menu continues to highlight four lines below the cursor position. I'm running Debian 9.3 Stretch/Stable. Perhaps I should wait for LibreOffice to be upgraded to a more current version.

LibreOffice Version: 5.2.7.2
Build ID: 1:5.2.7-1
CPU Threads: 4; OS Version: Linux 4.9; UI Render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group (currently running X.org)
Comment 3 Caolán McNamara 2018-04-23 11:45:24 UTC
Never seen a problem here, maybe a screenshot of what is happening might help
Comment 4 Roger T. Imai 2018-04-23 19:03:51 UTC
Created attachment 141579 [details]
font_selection_pulldown_menu

Sorry for the delay. I had some difficulty finding a way to include the cursor in a screenshot. Pressing the prtscn button captures a screenshot without a cursor. A supplemental screenshot application has the ability to 'include cursor' -- but (frustratingly) the font selection pulldown menu closes as soon as the left (primary) touchpad/mouse button is released, making it impossible to activate the screenshot application after opening the pulldown menu. I finally figured out that I needed to run first the screenshot application, set the screenshot with a 30-second delay, THEN open the Calc font selection pulldown menu.

rtimai@debian:~$  libreoffice --version
LibreOffice 5.2.7.2 20m0(Build:2)
rtimai@debian:~$  lsb_release -d ; uname -r ; gnome-shell --version ; echo $DESKTOP_SESSION # DESCRIBE SESSION  [default=gnome-X11]
Description:	Debian GNU/Linux 9.4 (stretch)
4.9.0-6-amd64
GNOME Shell 3.22.3
gnome-wayland
Comment 5 Buovjaga 2018-04-30 06:25:03 UTC
No such problem with a KDE Wayland session with GTK3 LibreOffice backend.

As version 5.2 is outdated, you should try with 6.0.x

Perhaps an appimage will do the trick https://www.libreoffice.org/download/appimage

Arch Linux 64-bit
Version: 6.1.0.0.alpha1+
Build ID: 632bc11ce8fab1c4046ab24810b90a7ce9ac5914
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on April 27th 2018
Comment 6 Roger T. Imai 2018-04-30 07:52:57 UTC
This appears to be an issue in Debian Stretch which runs typically stable old versions of both system components (even the kernel) and applications. As it is not being confirmed by users on more current platforms, perhaps it should be considered a low-priority issue. My understanding is that Wayland uses QT and a software layer that translates Gtk application features to QT. The problem may not even technically be in LO. I thought LO developers might wish to investigate, but it might not be worth the effort.
Comment 7 Buovjaga 2018-04-30 08:04:00 UTC
No, Wayland does not use Qt. Perhaps this diagram will make the hierarchy more clear: https://en.wikipedia.org/wiki/Wayland_(display_server_protocol)#/media/File:Wayland_display_server_protocol.svg

Anyway, you don't have to wait for Debian, if you just download an appimage of LibreOffice 6, make it executable and run it. No need to install anything.
Comment 8 Roger T. Imai 2018-05-13 01:22:10 UTC
Please mark this bug Trivial, not worth attention. I've switched from Debian Stable/Stretch back to Ubuntu, and the issue does not occur in current versions (below) of Debian/Ubuntu or LibreOffice:

~$ libreoffice --version
LibreOffice 6.0.3.2 00m0(Build:2)
Version: 6.0.3.2
Build ID: 1:6.0.3-0ubuntu1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); Calc: group

~$ lsb_release -d ; uname -r ; gnome-shell --version ; echo $DESKTOP_SESSION
Description:	Ubuntu 18.04 LTS
4.15.0-20-generic
GNOME Shell 3.28.1
ubuntu-wayland

Glad to be back on Ubuntu, btw, and that the Wayland/Mir conflict is over. Ubuntu is definitely Debian with corporate polish.
Comment 9 Buovjaga 2018-05-13 06:26:47 UTC
(In reply to Roger T. Imai from comment #8)
> LibreOffice 6.0.3.2 00m0(Build:2)
> Version: 6.0.3.2
> Build ID: 1:6.0.3-0ubuntu1
> CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
> Locale: en-US (en_US.UTF-8); Calc: group

It says "VCL: x11", which tells us that it is using the fallback VCL backend.

Could you install the package libreoffice-gtk3 from Ubuntu's packages and see what happens?
Comment 10 Roger T. Imai 2018-05-14 08:16:06 UTC
@Buovjaga: Very observant of you, I didn't notice that. I installed libreoffice-gtk3 as you instructed, restarted in a Wayland session, and am happy to say that all the pull-down menus are working as expected in Calc now. I didn't note whether gtk3 was installed in Debian 9, which might have been a solution -- but, no matter now. I am once again an Ubuntu loyalist. Buovaga, thanks for the persistent interest.

LibreOffice Version: 6.0.3.2
Build ID: 1:6.0.3-0ubuntu1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group

~$  lsb_release -d ; uname -r ; gnome-shell --version ; echo $DESKTOP_SESSION
Description:	Ubuntu 18.04 LTS
4.15.0-20-generic
GNOME Shell 3.28.1
ubuntu-wayland
Comment 11 Buovjaga 2018-05-14 09:24:38 UTC
Cool, tweaking status a bit :)